PutVerificationStateOnViolation
Note
The AWS IoT Device Defender detect feature will no longer be available to new customers starting August 31, 2026. If you would like to use the detect feature, sign up prior to August 31, 2026. To learn about alternatives to AWS IoT Device Defender detect, see AWS IoT Device Defender detect feature availability change. There is no change to AWS IoT Device Defender audit availability.
Set a verification state and provide a description of that verification state on a violation (detect alarm).
Request Syntax
POST /violations/verification-state/violationId HTTP/1.1
Content-type: application/json
{
"verificationState": "string",
"verificationStateDescription": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- violationId
-
The violation ID.
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9\-]+Required: Yes
Request Body
The request accepts the following data in JSON format.
- verificationState
-
The verification state of the violation.
Type: String
Valid Values:
FALSE_POSITIVE | BENIGN_POSITIVE | TRUE_POSITIVE | UNKNOWNRequired: Yes
- verificationStateDescription
-
The description of the verification state of the violation (detect alarm).
Type: String
Length Constraints: Maximum length of 1000.
Pattern:
[^\p{Cntrl}]*Required: No
Response Syntax
HTTP/1.1 200
Response Elements
If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.
Errors
- InternalFailureException
-
An unexpected error has occurred.
- message
-
The message for the exception.
HTTP Status Code: 500
- InvalidRequestException
-
The request is not valid.
- message
-
The message for the exception.
HTTP Status Code: 400
- ThrottlingException
-
The rate exceeds the limit.
- message
-
The message for the exception.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: